<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Danh sách người dùng | Dashboard 2</title>

	<!-- Google Font: Source Sans Pro -->
	<link rel="stylesheet"
		href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
	<!-- Font Awesome -->
	<link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
	<!-- Theme style -->
	<link rel="stylesheet" href="dist/css/adminlte.min.css">

	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>

<body class="hold-transition sidebar-mini layout-fixed">
	<div class="wrapper">
		<!-- Navbar -->
		<nav class="main-header navbar navbar-expand navbar-dark">
			<!-- Left navbar links -->
			<ul class="navbar-nav">
				<li class="nav-item">
					<a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
				</li>
				<li class="nav-item d-none d-sm-inline-block">
					<a href="index3.html" class="nav-link">Danh sách người dùng</a>
				</li>
			</ul>

			<!-- Right navbar links -->
			<ul class="navbar-nav ml-auto">
				<li class="nav-item">
					<a class="nav-link" data-widget="fullscreen" href="#" role="button">
						<i class="fas fa-expand-arrows-alt"></i>
					</a>
				</li>
			</ul>
		</nav>
		<!-- /.navbar -->
		<!-- Sidebar -->
		<aside class="main-sidebar sidebar-dark-primary elevation-4">
			<!-- Brand Logo -->
			<a href="#" class="brand-link">
				<span class="brand-text font-weight-light">Devcamp</span>
			</a>
			<!-- Sidebar -->
			<div class="sidebar">
				<!-- Sidebar Menu -->
				<nav class="mt-2">
					<ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
						<!-- Add icons to the links using the .nav-icon class
								 with font-awesome or any other icon font library -->
						<li class="nav-item menu-open">
							<a href="#" class="nav-link active">
								<i class="nav-icon fas fa-tachometer-alt"></i>
								<p>
									Dashboard
									<i class="right fas fa-angle-left"></i>
								</p>
							</a>
							<ul class="nav nav-treeview">
								<li class="nav-item">
									<a href="./index.html" class="nav-link">
										<i class="far fa-circle nav-icon"></i>
										<p>Dashboard v1</p>
									</a>
								</li>
								<li class="nav-item">
									<a href="./index2.html" class="nav-link active">
										<i class="far fa-circle nav-icon"></i>
										<p>Dashboard v2</p>
									</a>
								</li>
								<li class="nav-item">
									<a href="./index3.html" class="nav-link">
										<i class="far fa-circle nav-icon"></i>
										<p>Dashboard v3</p>
									</a>
								</li>
							</ul>
						</li>
						<li class="nav-item">
							<a href="pages/widgets.html" class="nav-link">
								<i class="nav-icon fas fa-th"></i>
								<p>
									Widgets
									<span class="right badge badge-danger">New</span>
								</p>
							</a>
						</li>
					</ul>
				</nav>
			</div>
		</aside>
		<!-- /.Sidebar -->
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0">Danh sách người dùng</h1>
						</div><!-- /.col -->
						<div class="col-sm-6">
							<ol class="breadcrumb float-sm-right">
								<li class="breadcrumb-item"><a href="#">Home</a></li>
								<li class="breadcrumb-item active">Danh sách người dùng</li>
							</ol>
						</div><!-- /.col -->
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->

			<!-- Main content -->
			<section class="content">
				<div class="container-fluid">
					<div class="text-left my-4">
						<button id="btn-add-user" class="btn btn-success">Thêm user</button>
					</div>
					<table id="user-table" class="table table-bordered table-striped table-hover text-center">
						<thead>
							<tr>
								<th>ID</th>
								<th>Firstname</th>
								<th>Lastname</th>
								<th>Country</th>
								<th>Subject</th>
								<th>Customer Type</th>
								<th>Register Status</th>
								<th>Action</th>
							</tr>
						</thead>
						<tbody id="tbody-user">

						</tbody>
					</table>
				</div>
				<!-- insert modal section -->
				<div id="add-user-modal" class="modal fade" tabindex="-1">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Thêm User</h5>
								<button type="button" class="close" data-dismiss="modal">&times;</button>
							</div>
							<div class="modal-body">
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="firstname">Firstname</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" name="firstname" id="firstname">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="lastname">Lastname</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" name="lastname" id="lastname">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="subject">Subject</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" name="subject" id="subject">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="country">Country</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control" name="country" id="country">
											<option value="VN">Việt Nam</option>
											<option value="USA">USA</option>
											<option value="AUS">Australia</option>
											<option value="CAN">Canada</option>
										</select>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<div class="col-sm-12 text-center">
									<button id="btn-modal-insert-user" class="btn btn-success">Insert user</button>
									<button id="btn-modal-cancel" class="btn btn-danger" data-dismiss="modal">Cancel</button>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- edit modal section -->
				<div id="edit-user-modal" class="modal fade" tabindex="-1">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Chi tiết User</h5>
								<button type="button" class="close" data-dismiss="modal">&times;</button>
							</div>
							<div class="modal-body">
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="firstname">Firstname</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" name="firstname-edit" id="firstname-edit">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="lastname">Lastname</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" name="lastname-edit" id="lastname-edit">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="subject">Subject</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" name="subject-edit" id="subject-edit">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="country">Country</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control" name="country" id="country-edit">
											<option value="VN">Việt Nam</option>
											<option value="USA">USA</option>
											<option value="AUS">Australia</option>
											<option value="CAN">Canada</option>
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="customerType">Customer Type</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control" name="customerType" id="customerType">
											<option value="Standard">Standard</option>
											<option value="Gold">Gold</option>
											<option value="Premium">Premium</option>
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="registerStatus">Register Status</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control" name="registerStatus" id="registerStatus">
											<option value="Accepted">Accepted</option>
											<option value="Denied">Denied</option>
											<option value="Standard">Standard</option>
										</select>
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<div class="col-sm-12 text-center">
									<button id="btn-modal-update-user" class="btn btn-success">Update user</button>
									<button id="btn-modal-cancel-update" class="btn btn-danger" data-dismiss="modal">Cancel</button>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- delete user modal -->
				<div id="delete-user-modal" class="modal fade" tabindex="-1">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Confirm xoá user</h5>
								<button type="button" class="close" data-dismiss="modal">&times;</button>
							</div>
							<div class="modal-body">
								<label for="delete">Bạn có chắc chắn muốn xóa user này không?</label>
							</div>
							<div class="modal-footer">
								<div class="col-sm-12 text-center">
									<button id="btn-modal-delete-user" class="btn btn-danger">Xác nhận</button>
									<button id="btn-modal-cancel-delete" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</section>
			<!-- /.content -->
		</div>
		<!-- /.content-wrapper -->
	</div>
	<footer class="main-footer">
		<strong>Copyright &copy; 2014-2022 Devcamp.</strong>
		All rights reserved.
		<div class="float-right d-none d-sm-inline-block">
			<b>Version</b> 1.0.0
		</div>
	</footer>

	<!-- jQuery -->
	<script src="plugins/jquery/jquery.min.js"></script>
	<!-- Bootstrap 4 -->
	<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

	<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

	<!-- AdminLTE App -->
	<script src="dist/js/adminlte.js"></script>
	<script src="user_data_script.js"></script>
</body>

</html>